VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::VersionTypes::VersionStruct Class Reference

`Version.VersionStruct` class Structure representing appliance version information. More...

List of all members.

## Public Member Functions
| VersionStruct ()
| Creates a default new instance.
string | GetVersion ()
| Appliance version.
void | SetVersion (string version)
| Appliance version.
string | GetProduct ()
| Appliance name.
void | SetProduct (string product)
| Appliance name.
string | GetBuild ()
| Appliance build number.
void | SetBuild (string build)
| Appliance build number.
string | Get_Type ()
| Type of product.
void | SetType (string type)
| Type of product.
string | GetSummary ()
| Summary of patch (empty string, if the appliance has not been patched)
void | SetSummary (string summary)
| Summary of patch (empty string, if the appliance has not been patched)
string | GetReleasedate ()
| Release date of patch (empty string, if the appliance has not been patched)
void | SetReleasedate (string releasedate)
| Release date of patch (empty string, if the appliance has not been patched)
string | GetInstallTime ()
| Display the date and time when this system was first installed.
void | SetInstallTime (string installTime)
| Display the date and time when this system was first installed.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Version.VersionStruct` class Structure representing appliance version information.

## Constructor & Destructor Documentation

vmware::appliance::system::VersionTypes::VersionStruct::VersionStruct | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::system::VersionTypes::VersionStruct::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::system::VersionTypes::VersionStruct::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::system::VersionTypes::VersionStruct::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::system::VersionTypes::VersionStruct::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::system::VersionTypes::VersionStruct::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::system::VersionTypes::VersionStruct::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::system::VersionTypes::VersionStruct::Get_Type | ( |  | ) | `[inline]`

Type of product.

Same product can have different deployment options, which is represented by type.

string vmware::appliance::system::VersionTypes::VersionStruct::GetBuild | ( |  | ) | `[inline]`

Appliance build number.

override int vmware::appliance::system::VersionTypes::VersionStruct::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::system::VersionTypes::VersionStruct::GetInstallTime | ( |  | ) | `[inline]`

Display the date and time when this system was first installed.

Value will not change on subsequent updates.

string vmware::appliance::system::VersionTypes::VersionStruct::GetProduct | ( |  | ) | `[inline]`

Appliance name.

string vmware::appliance::system::VersionTypes::VersionStruct::GetReleasedate | ( |  | ) | `[inline]`

Release date of patch (empty string, if the appliance has not been patched)

string vmware::appliance::system::VersionTypes::VersionStruct::GetSummary | ( |  | ) | `[inline]`

Summary of patch (empty string, if the appliance has not been patched)

string vmware::appliance::system::VersionTypes::VersionStruct::GetVersion | ( |  | ) | `[inline]`

Appliance version.

void vmware::appliance::system::VersionTypes::VersionStruct::SetBuild | ( | string | build | ) | `[inline]`

Appliance build number.

void vmware::appliance::system::VersionTypes::VersionStruct::SetInstallTime | ( | string | installTime | ) | `[inline]`

Display the date and time when this system was first installed.

Value will not change on subsequent updates.

void vmware::appliance::system::VersionTypes::VersionStruct::SetProduct | ( | string | product | ) | `[inline]`

Appliance name.

void vmware::appliance::system::VersionTypes::VersionStruct::SetReleasedate | ( | string | releasedate | ) | `[inline]`

Release date of patch (empty string, if the appliance has not been patched)

void vmware::appliance::system::VersionTypes::VersionStruct::SetSummary | ( | string | summary | ) | `[inline]`

Summary of patch (empty string, if the appliance has not been patched)

void vmware::appliance::system::VersionTypes::VersionStruct::SetType | ( | string | type | ) | `[inline]`

Type of product.

Same product can have different deployment options, which is represented by type.

void vmware::appliance::system::VersionTypes::VersionStruct::SetVersion | ( | string | version | ) | `[inline]`

Appliance version.

override string vmware::appliance::system::VersionTypes::VersionStruct::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- VersionTypes.cs